SETTERM(1)

NÉV
setterm - terminál tulajdonságok beállítása

ÁTTEKINTÉS
setterm [ -term terminal_name ]
setterm [ -reset ]
setterm [ -initialize ]
setterm [ -cursor [on|off] ]
setterm [ -keyboard pc|olivetti|dutch|extended ]
setterm [ -repeat [on|off] ]
setterm [ -appcursorkeys [on|off] ]
setterm [ -linewrap [on|off] ]
setterm [ -snow [on|off] ]
setterm [ -softscroll [on|off] ]
setterm [ -defaults ]
setterm [ -foreground black|red|green|yellow|blue|magenta|cyan|white|default ]
setterm [ -background black|red|green|yellow|blue|magenta|cyan|white|default ]
setterm [ -ulcolor black|grey|red|green|yellow|blue|magenta|cyan|white ]
setterm [ -ulcolor bright red|green|yellow|blue|magenta|cyan|white ]
setterm [ -hbcolor black|grey|red|green|yellow|blue|magenta|cyan|white ]
setterm [ -hbcolor bright red|green|yellow|blue|magenta|cyan|white ]
setterm [ -inversescreen [on|off] ]
setterm [ -bold [on|off] ]
setterm [ -half-bright [on|off] ]
setterm [ -blink [on|off] ]
setterm [ -reverse [on|off] ]
setterm [ -underline [on|off] ]
setterm [ -store ]
setterm [ -clear [ all|rest ] ]
setterm [ -tabs [tab1 tab2 tab3 ... ] ] where (tabn = 1-160)
setterm [ -clrtabs [ tab1 tab2 tab3 ... ] where (tabn = 1-160)
setterm [ -regtabs [ 1-160 ] ]
setterm [ -blank [ 0-60 ] ]
setterm [ -dump [ 1-NR_CONS ] ]
setterm [ -append [ 1-NR_CONS ] ]
setterm [ -file dumpfilename ]
setterm [ -standout [ attr ] ]

LEÍRÁS
A setterm egy karakterláncot ír a szabványos kimenetre, amely aktivizálja az előírt terminálképességeket. Ahol lehetséges, az /etc/termcap fájl-hoz fordul, hogy megtalálja a használandó karakterláncot. Azonban néhány opció nem felel meg termcap(5) képességnek. Ebben az esetben, ha a terminál típusa "minix-vc" vagy "minix-vcam", a karakterlánc amely meghívja az előírt képességeket a PC Minix virtuális konzol meghajtón, a kimenet. A terminál által nem támogatott opciókat figyelmen kívül hagyja.

OPCIÓK
A legtöbb opció önmagát magyarázza. A kevésbé nyilvánvaló opciók a következők:

-term
    a TERM környezeti változót hatástalanítja.

-reset
    megjeleníti a terminál beállító karakterláncot, amely tipikusan beállítja a terminál bekapcsolási állapotát.

-initialize
    megjeleníti a terminál kezdeti karakterláncot, amely tipikusan beállítja a terminál fordítási opcióit, és más tulajdonságokat az alapértelmezett értékekkel.

-default
    beállítja a terminál fordítási opcióit az alapértelmezett értékekre.

-store
    eltárolja a terminál aktuális fordítási opcióit, mint alapértelmezett értékeket.

LÁSD MÉG
tput(1), stty(1), termcap(5), tty(4)

HIBÁK
A Minix és Linux verziók közti különbségek nem dokumentáltak.

SZERZŐK
Gordon Irlam (gordoni@cs.ua.oz.au)
Linux-ra adaptálta by Peter MacDonald
Továbbfejlesztette Mika Liljeberg (liljeber@cs.Helsinki.FI)

MAGYAR FORDÍTÁS
Sztrepka Pál <szpal@firefly.szarvas.hu>